Loading ...
Sorry, an error occurred while loading the content.

Re: compile problems with mandrake

Expand Messages
  • Mikolaj Machowski
    ... Vim needs few files from kernel-sources to compile. ... There are some issues with broken optimization in 3.x. You can try to compile 6.1 with
    Message 1 of 6 , Jun 1, 2003
    • 0 Attachment
      On Sat, May 31, 2003 at 02:25:40PM -0400, Paul Tremblay wrote:
      > >
      > > 1.
      > > Compiling with 3.x is very rare succesful below 6.1.104 try rather
      > > latest beta of 6.2.
      > >
      > > 2.
      > > Did you install kernel-sources rpm?
      > >
      > No to the second question. I would like to compile my own Vim.

      Vim needs few files from kernel-sources to compile.

      > Why doesn't Vim compile with 3.x? It ticks me off that Mandrake
      > instaled a new compiler that isn't compatible with existing software.

      There are some issues with broken optimization in 3.x. You can try to
      compile 6.1 with -fno-strength-reduce flag.

      But I am recommending to download 6.2 BETA sources. There are all these
      problems solved.

      m.
      --
      LaTeX + Vim = http://vim-latex.sourceforge.net/
      Vim-list(s) Users Map: (last change 27 May)
      http://skawina.eu.org/mikolaj/vimlist
      Are You There?
    • Paul Tremblay
      ... Okay, I ll try this. Where can I get a copy? I tried vim.org, but couldn t find any BEATA sources. Paul -- ************************ *Paul Tremblay
      Message 2 of 6 , Jun 1, 2003
      • 0 Attachment
        On Sun, Jun 01, 2003 at 01:43:09PM +0200, Mikolaj Machowski wrote:
        >
        > On Sat, May 31, 2003 at 02:25:40PM -0400, Paul Tremblay wrote:
        > > >
        > > > 1.
        > > > Compiling with 3.x is very rare succesful below 6.1.104 try rather
        > > > latest beta of 6.2.
        > > >
        > > > 2.
        > > > Did you install kernel-sources rpm?
        > > >
        > > No to the second question. I would like to compile my own Vim.
        >
        > Vim needs few files from kernel-sources to compile.
        >
        > > Why doesn't Vim compile with 3.x? It ticks me off that Mandrake
        > > instaled a new compiler that isn't compatible with existing software.
        >
        > There are some issues with broken optimization in 3.x. You can try to
        > compile 6.1 with -fno-strength-reduce flag.
        >
        > But I am recommending to download 6.2 BETA sources. There are all these
        > problems solved.
        >

        Okay, I'll try this. Where can I get a copy? I tried vim.org, but
        couldn't find any BEATA sources.

        Paul


        --

        ************************
        *Paul Tremblay *
        *phthenry@...*
        ************************
      • Aschwin Marsman
        ... 6.2 is just released, so its even easier for you now! Information about which files to download for what system: http://www.vim.org/download.php All files
        Message 3 of 6 , Jun 1, 2003
        • 0 Attachment
          On Sun, 1 Jun 2003, Paul Tremblay wrote:

          > On Sun, Jun 01, 2003 at 01:43:09PM +0200, Mikolaj Machowski wrote:
          > >
          > > On Sat, May 31, 2003 at 02:25:40PM -0400, Paul Tremblay wrote:
          > > > >
          > > > > 1.
          > > > > Compiling with 3.x is very rare succesful below 6.1.104 try rather
          > > > > latest beta of 6.2.
          > > > >
          > > > > 2.
          > > > > Did you install kernel-sources rpm?
          > > > >
          > > > No to the second question. I would like to compile my own Vim.
          > >
          > > Vim needs few files from kernel-sources to compile.
          > >
          > > > Why doesn't Vim compile with 3.x? It ticks me off that Mandrake
          > > > instaled a new compiler that isn't compatible with existing software.
          > >
          > > There are some issues with broken optimization in 3.x. You can try to
          > > compile 6.1 with -fno-strength-reduce flag.
          > >
          > > But I am recommending to download 6.2 BETA sources. There are all these
          > > problems solved.
          > >
          >
          > Okay, I'll try this. Where can I get a copy? I tried vim.org, but
          > couldn't find any BEATA sources.

          6.2 is just released, so its even easier for you now!

          Information about which files to download for what system:

          http://www.vim.org/download.php

          All files can be found below these directories:

          ftp://ftp.vim.org/pub/vim/

          > Paul

          Best regards,

          Aschwin Marsman

          --
          aYniK Software Solutions all You need is Knowledge
          Bedrijvenpark Twente 305 NL-7602 KL Almelo - the Netherlands
          P.O. box 134 NL-7600 AC Almelo - the Netherlands
          a.marsman@... http://www.aYniK.com
        Your message has been successfully submitted and would be delivered to recipients shortly.